% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Physical_covariates_functions.R
\name{BestModel}
\alias{BestModel}
\title{BestModel}
\usage{
BestModel(dist, all_data_raw, detrend.cov, option, best_fit_method)
}
\arguments{
\item{dist}{distribution to use for fitting ("GEV" or "GLO")}

\item{all_data_raw}{data.frame of response variable (1st column) and regressors (contains raw water years and WaterYearIndex for output files and plots)}

\item{detrend.cov}{optional character string. If included, instructs to detrend other covariates based on covariate in that string (usually "ScaledWaterYearIndex", representing time).}

\item{option}{optional - must be 1, 2 or 3: 1 - fit model to all possible combinations of covariates; 2 - fit model to combinations which only use one covariate and/or time; 3 - fit model to combinations which use one covariate at a time in the location and/or scale parameter.}

\item{best_fit_method}{optional string - method of automatically selecting a best fit model. Must be "AIC" or "BIC".}
}
\value{
The function outputs the following:

best_model - details of best fitting model selected based on AIC or BIC.

best_model_formula - details of the formula used to fit best_model.

stat_model - details of stationary model.

all_models_metadata - a metadata file associated with fitting models to all combinations of covariates selected by the user. Contains location and scale parameter covariate regression equations, warnings and errors associated with the fitting, parameters from fitting, AIC and BIC of fitted models and the rank of each model based on AIC and BIC.
}
\description{
Internal function. Fits models using a range of covariate combinations and selects best-fitting
model among all possible candidate models using AIC or BIC.
}
\keyword{internal}
