% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Physical_covariates_functions.R
\name{BootstrapMargRLs}
\alias{BootstrapMargRLs}
\title{BootstrapMargRLs}
\usage{
BootstrapMargRLs(dist, model, ret_periods, cov.data, CI, present_day,
  bootstrap_n)
}
\arguments{
\item{dist}{distribution type ("GEV" or "GLO")}

\item{model}{fitted model}

\item{ret_periods}{numeric vector of required return periods}

\item{cov.data}{covariate data (detrended if applicable)}

\item{CI}{confidence interval for results as a percentage}

\item{present_day}{logical stating whether to calculate present-day marginal return level CI - TRUE or FALSE}

\item{bootstrap_n}{number of bootstrap samples for estimating confidence intervals}
}
\value{
The output includes the following:

boot_model_warnings contains the number of warnings per bootstrap model - written out to check maximum number and how many models are affected.

boot_model_errors contains the number of errors that occurred per bootstrap model - want this to be zero.

boot_out is the final confidence interval for the marginal return levels.

boot_marg_RLs contains the marginal return level results from all the bootstrap models (columns are return periods, rows are bootstrap samples).

boot_marg_RLs_warnings contains the warnings for each bootstrap model for each return period.

boot_marg_RLs_errors is the same but for errors.

Those names containing 'pres' are the same as above but for the present-day marginal return levels. Present-day outputs will be empty if present_day = FALSE.
}
\description{
Internal function used in CalcMargRLs. Calculates confidence intervals for
marginal (and present-day marginal) return levels.
}
