% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Physical_covariates_functions.R
\name{CalcMargRLs}
\alias{CalcMargRLs}
\title{CalcMargRLs}
\usage{
CalcMargRLs(dist, model, all_data_raw, ret_periods, CI, detrend.cov,
  present_day, bootstrap_n = 200)
}
\arguments{
\item{dist}{distribution type ("GEV" or "GLO")}

\item{model}{fitted model (output of BestModel function or UserModel function)}

\item{all_data_raw}{flow and covariate data (raw and scaled water year and not detrended covariates)}

\item{ret_periods}{numeric vector of required return periods}

\item{CI}{confidence interval for results, e.g. 90 for 90\% confidence interval}

\item{detrend.cov}{as in BestModel function}

\item{present_day}{logical stating whether to calculate present-day marginal return level CI - TRUE or FALSE}

\item{bootstrap_n}{number of bootstrap samples for estimating confidence intervals}
}
\value{
Marginal and present-day marginal return levels for each return period are included in the output list, along with warnings and errors.
}
\description{
Internal function. Calculates marginal (and present-day marginal) return levels
by integrating over the covariate distribution.
}
\keyword{internal}
