% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Physical_covariates_functions.R
\name{CovariateModel}
\alias{CovariateModel}
\title{CovariateModel}
\usage{
CovariateModel(dist, all_data_raw, ret_periods, CI, model_fits, model_type,
  userModel, locFit, scaleFit, gaugeNumber, gaugeName, detrend.cov,
  present_day)
}
\arguments{
\item{dist}{distribution type ("GEV" or "GLO")}

\item{all_data_raw}{input data (as in BestModel function)}

\item{ret_periods}{numeric vector of required return periods}

\item{CI}{confidence interval as a percentage, e.g. input '90' for the 90\% confidence interval}

\item{model_fits}{output from running BestModel function}

\item{model_type}{either "Best" or "User". Select whether to use the best fit model based on AIC/BIC or the user-selected model to calculate return levels and plot.}

\item{userModel}{output from userModel function or NULL depending on above selection}

\item{locFit}{the regression equation including covariates to include in the location parameter (copy from metadata csv containing all the model fits from running BestModel function). Only required if model_type = "User".}

\item{scaleFit}{the regression equation including covariates to include in the scale parameter (copy from metadata csv containing all the model fits from running BestModel function). Only required if model_type = "User".}

\item{gaugeNumber}{number of the gauge to analyse}

\item{gaugeName}{name of the gauge to analyse}

\item{detrend.cov}{as in BestModel function. Only required if model_type = "User", otherwise outputs from BestModel are used.}

\item{present_day}{logical stating whether to calculate present-day marginal return level and its confidence interval - TRUE or FALSE}
}
\value{
A list containing a range of outputs is returned:

model - model used to calculate results - either the 'best fit' model based on AIC or BIC (as selected by the user in BestModel function) or the user-selected model (does not include warnings or errors).

model_formula - details of the formula used to fit the model.

condRLs - conditional return levels.

margRLs - marginal return levels.

pres_margRLs - present-day marginal return levels.

margRLsAllInfo - output from CalcMargRLs.

stat_model - details of stationary model.

statRLs - stationary return levels.

allModelsMetadata - same as the output from the BestModel function.
}
\description{
Internal function. Calculates results for either the 'best fit' model or a
user-selected non-stationary model and also for the stationary model.
}
\keyword{internal}
