% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Trend_testing_functions.R
\name{MK.test}
\alias{MK.test}
\title{MK.test}
\usage{
MK.test(folder, sig.level = 5)
}
\arguments{
\item{folder}{string containing a path to a folder containing two sub-folders called 'Inputs' and 'Outputs'. 'Inputs' must contain one file per gauge containing annual maximum data. Data should be .AM files.}

\item{sig.level}{numeric value giving significance level as a percentage for interpretation of results in the output .csv file (e.g. input '5' to get an interpretation of whether trend is significant at the 5\% level). 5 is the default setting for this parameter.}
}
\value{
A .csv file containing results is written out. An explanation of the results can be found in the nonstat package user guide and in the trend package vignette.

One plot per gauge containing two graphs is also automatically written out. The first shows a time series of the AMAX data and smoothed data, using locally-weighted polynomial regression (LOWESS). The second shows the autocorrelation function.
}
\description{
MK.test carries out the Mann-Kendall trend test on all gauges listed in a folder. Results are automatically written out
to the 'Outputs/Mann-Kendall' folder. The 'Mann-Kendall' folder will be automatically generated if it does not already exist.
}
\examples{
# Set the inputs to the function
folder <- "C:/Non-stationarity/Data"  # this folder contains sub-folders called 'Inputs' and 'Outputs'
sig.level <- 5  # set significance level to be 5\% for interpretation purposes only
# Run the function
MK.test(folder, sig.level)
}
