% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Trend_testing_functions.R
\name{PELT.test}
\alias{PELT.test}
\title{PELT.test}
\usage{
PELT.test(folder)
}
\arguments{
\item{folder}{string containing a path to a folder containing two sub-folders called 'Inputs' and 'Outputs'. 'Inputs' must contain one file per gauge containing annual maximum data. Data should be .AM files.}
}
\value{
A .csv file is automatically generated containing the results for all gauges.

A plot is also generated for each gauge showing the AMAX data with any detected change point shown as a vertical line (some gauges will have no detected change point).

A Normal Q-Q plot is also generated to help determine if the assumption that the data follow a log-Normal distribution is reasonable.
}
\description{
PELT.test carries out change point detection using the Pruned Exact Linear Time (PELT) method on all gauges listed in a folder. Results are automatically written out
to the 'Outputs/PELT' folder. The 'PELT' folder will be automatically generated if it does not already exist.
}
\examples{
# Set the inputs to the function
folder <- "C:/Non-stationarity/Data"  # this folder contains sub-folders called 'Inputs' and 'Outputs'
# Run the function
PELT.test(folder)
}
