% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Trend_testing_functions.R
\name{Pettitt.test}
\alias{Pettitt.test}
\title{Pettitt.test}
\usage{
Pettitt.test(folder, sig.level = 5)
}
\arguments{
\item{folder}{string containing a path to a folder containing two sub-folders called 'Inputs' and 'Outputs'. 'Inputs' must contain one file per gauge containing annual maximum data. Data should be .AM files.}

\item{sig.level}{numeric value giving significance level as a percentage for interpretation of results in the output .csv file (e.g. input ‘5’ to get an interpretation of whether the change point is significant at the 5\% significance level). 5 is the default setting for this parameter.}
}
\value{
A .csv file is automatically generated containing the results for all gauges.

A plot is also generated for each gauge showing the AMAX data with the detected change point shown as a vertical line, if significant at the specified level.
}
\description{
Pettitt.test carries out Pettitt's test, which is designed to detect a sudden change in the mean of a time series.
Results are automatically written out to the 'Outputs/Pettitt' folder. The 'Pettitt' folder will be automatically generated
if it does not already exist.
}
\examples{
# Set the inputs to the function
folder <- "C:/Non-stationarity/Data"  # this folder contains sub-folders called 'Inputs' and 'Outputs'
sig.level = 5
# Run the function
Pettitt.test(folder, sig.level)
}
