% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Physical_covariates_functions.R
\name{PlotFit}
\alias{PlotFit}
\title{PlotFit}
\usage{
PlotFit(dist, fit = fit_results, ret_periods, all_data_raw, CI,
  gaugeNumber, gaugeName, detrend.cov)
}
\arguments{
\item{dist}{distribution type ("GEV" or "GLO")}

\item{fit}{output of CovariateModel}

\item{ret_periods}{return periods to plot - only RPs in condRLs, margRLs and statRLs will be plotted}

\item{all_data_raw}{input data (as in BestModel function)}

\item{CI}{confidence interval as a percentage, e.g. input '90' for the 90\% confidence interval}

\item{gaugeNumber}{gauge number}

\item{gaugeName}{gauge name}

\item{detrend.cov}{as in BestModel function}
}
\value{
Three plots are returned. The first is flow plotted against all covariates.

The second is flow plotted against both conditional return levels and the stationary model return levels for the observed period.

The third is an encounter probability plot of the marginal and stationary results.
}
\description{
Internal function. Plots relationships between AMAX flow, covariates and results.
}
\keyword{internal}
