% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Physical_covariates_functions.R
\name{UserModel}
\alias{UserModel}
\title{UserModel}
\usage{
UserModel(dist, all_data_raw, locFit, scaleFit, detrend.cov)
}
\arguments{
\item{dist}{distribution to use for fitting (GEV or GLO).}

\item{all_data_raw}{data.frame of response variable (1st column) and regressors (contains raw water year and WaterYearIndex for output files and plots).}

\item{locFit}{the regression equation including covariates to include in the location parameter (copy from csv containing all the model fits).}

\item{scaleFit}{the regression equation including covariates to include in the scale parameter (copy from csv containing all the model fits).}

\item{detrend.cov}{optional character string. If included, instructs to detrend based on covariate in that string (usually time).}
}
\value{
The following are returned:

user_model - details of user-selected model.

user_model_formula - details of the formula used to fit the model (should be the same as the locFit and scaleFit input).
}
\description{
Internal function. Fits model selected by the user.
}
\keyword{internal}
