% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Plotting_functions.R
\name{plot.all}
\alias{plot.all}
\title{plot.all}
\usage{
plot.all(folder, gauge, fitResults, RPs, plotTitle = NULL)
}
\arguments{
\item{folder}{string containing a path to a folder containing two sub-folders called 'Inputs' and 'Outputs'. The plots will be written out to the 'Outputs/Time covariate models' folder.}

\item{gauge}{string of the gauge number to plot. Must have been used in the fit.time function.}

\item{fitResults}{the output from the fitting function. This could either be from a saved location or may already be in the R environment if fit.time has just been run and the outputs saved to a named object.}

\item{RPs}{vector of return periods to plot.}

\item{plotTitle}{optional parameter. String containing title for output plot if you wish to change the automatically-generated title. This should only be used if plotting one return period, if the return period value is to be included in the title. The automatically-generated title contains the appropriate return period. To split over two lines use '\\n' where you want the line break to be.}
}
\value{
The outputs from the function are .png files (one per return period) containing plots showing results from all four fitted distributions.
}
\description{
For a specified gauge, plot the stationary and three non-stationary GEV or GLO distributions
(with varying location, varying scale and varying location and scale parameters) from
using time as a covariate. The fit.time function must have been run first.
}
\examples{
folder <- "C:/Non-stationarity/Data"
gauge <- "24004"
fitResults <- readRDS("Outputs/Time covariate models/GEV fits from fit time function.RDS")
RPs <- c(2, 10, 20, 50, 100)
plot.all(folder, gauge, fitResults, RPs)
# Or set just one RP. In this case, it is also possible to set a plot title.
RPs <- 100
plotTitle <- "Single site analysis results for 24004 (100-year) using time as a covariate"
plot.all(folder, gauge, fitResults, RPs, plotTitle)
}
